Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.draw
Class FrameDrawer

    java.lang.Object
      net.sf.jasperreports.engine.export.draw.ElementDrawer<JRPrintFrame>
          net.sf.jasperreports.engine.export.draw.FrameDrawer

    public class FrameDrawer

extends ElementDrawer<JRPrintFrame>

Version:
  $Id: FrameDrawer.java 3991 2010-10-12 20:10:55Z lucianc $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`FrameDrawer(ExporterFilter filter, TextRenderer textRenderer)`

Method Summary
`void` | `draw(java.awt.Graphics2D grx, java.util.Collection elements, int offsetX, int offsetY)`
`void` | `draw(java.awt.Graphics2D grx, JRPrintFrame frame, int offsetX, int offsetY)`
`void` | `setClip(boolean isClip)`
`protected void` | `setGraphics(java.awt.Graphics2D grx)`

Methods inherited from class net.sf.jasperreports.engine.export.draw.ElementDrawer
`drawBottomPen, drawBox, drawLeftPen, drawPen, drawRightPen, drawTopPen, getStroke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameDrawer

    public FrameDrawer(ExporterFilter filter,
                       TextRenderer textRenderer)

Method Detail

### setClip

    public void setClip(boolean isClip)

### draw

    public void draw(java.awt.Graphics2D grx,
                     JRPrintFrame frame,
                     int offsetX,
                     int offsetY)
              throws JRException

  Specified by:
    `draw` in class `ElementDrawer<JRPrintFrame>`
  Throws:
    `JRException`

### draw

    public void draw(java.awt.Graphics2D grx,
                     java.util.Collection elements,
                     int offsetX,
                     int offsetY)
              throws JRException

  Throws:
    `JRException`

### setGraphics

    protected void setGraphics(java.awt.Graphics2D grx)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com